# Uses of Interface
com.sun.source.doctree.LiteralTree

Packages that use LiteralTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of LiteralTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type LiteralTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitLiteral​(LiteralTree node, P p)`
Visits an LiteralTree node.

## Uses of LiteralTree in com.sun.source.util

Methods in com.sun.source.util that return LiteralTree
Modifier and Type
Method
Description
`LiteralTree`
DocTreeFactory.`newCodeTree​(TextTree text)`
Creates a new `LiteralTree` object, to represent a `{@code }` tag.
`LiteralTree`
DocTreeFactory.`newLiteralTree​(TextTree text)`
Creates a new `LiteralTree` object, to represent a `{@literal }` tag.
Methods in com.sun.source.util with parameters of type LiteralTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitLiteral​(LiteralTree node, P p)`
Visits an LiteralTree node.
`R`
SimpleDocTreeVisitor.`visitLiteral​(LiteralTree node, P p)`
Visits an LiteralTree node.